Skip to main content
List for actions for an agent
GET https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/list

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

agentId
string
required

Respuestas

data
object[]
required
Grouped actions by type
success
boolean
default:"True"
required
Success status of the request
{
  "data": [
    {
      "id": "actionId123",
      "name": "Trigger Workflow",
      "type": "triggerWorkflow",
      "agentId": "agentId123"
    }
  ],
  "success": true
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/actions/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/actions/list', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/actions/list',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/actions/list');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);